View Issue Details

IDProjectCategoryView StatusLast Update
0003340unrealinstallingpublic2007-06-09 17:01
ReportervonitsanetAssigned ToWolfSage 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSLinux (Ubuntu)OS Version2.6.15-28-686
Product Version3.2.6 
Target VersionFixed in Version3.3-alpha0 
Summary0003340: A few warnings
DescriptionSome warnings on ./Config

../lib/tre-parse.c:99: warning: pointer targets in passing argument 1 of 'strlen' differ in signedness
../lib/tre-parse.c:99: warning: pointer targets in passing argument 2 of '__builtin_strcmp' differ in signedness
../lib/tre-parse.c:99: warning: pointer targets in passing argument 2 of '__builtin_strcmp' differ in signedness
../lib/tre-parse.c:99: warning: pointer targets in passing argument 1 of 'strlen' differ in signedness
../lib/tre-parse.c:99: warning: pointer targets in passing argument 2 of '__builtin_strcmp' differ in signedness
../lib/tre-parse.c:99: warning: pointer targets in passing argument 2 of '__builtin_strcmp' differ in signedness
../lib/tre-parse.c:99: warning: pointer targets in passing argument 2 of 'strncmp' differ in signedness

I dont know if this is from Unreal. I report it anyway;p
Additional Informationgcc version 4.0.3 (Ubuntu 4.0.3-1ubuntu5)
TagsNo tags attached.
3rd party modules

Activities

Bock

2007-05-16 09:08

reporter   ~0014143

maybe upgrade tre lib to 0.7.5? (dec 2006)

http://laurikari.net/tre/

I'm saying globally, in Unreal :]

vonitsanet

2007-05-17 14:53

reporter   ~0014155

The title should be changed then to "tre upgrade" or something

WolfSage

2007-06-09 14:37

reporter   ~0014291

Upgraded to 0.7.5 in .2424 (Thanks Bock!)

Issue History

Date Modified Username Field Change
2007-05-16 08:46 vonitsanet New Issue
2007-05-16 09:08 Bock Note Added: 0014143
2007-05-16 12:27 stskeeps Status new => acknowledged
2007-05-17 14:53 vonitsanet Note Added: 0014155
2007-06-09 14:37 WolfSage Note Added: 0014291
2007-06-09 14:37 WolfSage Assigned To => WolfSage
2007-06-09 14:37 WolfSage Status acknowledged => resolved
2007-06-09 14:37 WolfSage Resolution open => fixed
2007-06-09 17:00 WolfSage Status resolved => feedback
2007-06-09 17:00 WolfSage Resolution fixed => reopened
2007-06-09 17:00 WolfSage Resolution reopened => fixed
2007-06-09 17:00 WolfSage Fixed in Version => 3.3-alpha0
2007-06-09 17:01 WolfSage Status feedback => resolved